diff -Nur rt73-cvs-2007071503.orig/Module/rtmp_init.c rt73-cvs-2007071503/Module/rtmp_init.c
--- rt73-cvs-2007071503.orig/Module/rtmp_init.c	2007-06-26 23:26:02.000000000 +0200
+++ rt73-cvs-2007071503/Module/rtmp_init.c	2007-07-15 12:51:48.000000000 +0200
@@ -1532,14 +1532,16 @@
 	u32 buf;
 #endif
 	DBGPRINT(RT_DEBUG_TRACE, "--> LoadFirmware \n");
-
+printk("sven-ola: in loadfirmware(%s)\n", firmName);
 	// Access firmware file
 	if ((status = request_firmware(&fw_entry, firmName, udevice))) {
+printk("sven-ola: status=%d\n", status);
 		printk(KERN_ERR "rt73: Failed to request_firmware. "
 				"Check your firmware file location\n");
 		goto fw_error;
 	}
 
+printk("sven-ola: size=%d\n", fw_entry->size);
 	if (fw_entry->size != FIRMWARE_IMAGE_SIZE) {
 		printk(KERN_ERR "rt73: Firmware file size error "
 			"(%d instead of %d)\n",
diff -Nur rt73-cvs-2007071503.orig/Module/rtmp_main.c rt73-cvs-2007071503/Module/rtmp_main.c
--- rt73-cvs-2007071503.orig/Module/rtmp_main.c	2007-07-06 21:20:49.000000000 +0200
+++ rt73-cvs-2007071503/Module/rtmp_main.c	2007-07-15 13:20:35.000000000 +0200
@@ -1463,6 +1463,7 @@
 	UCHAR           TmpPhy;
 	int ret = 0;
 
+printk("sven-ola: usb_rtusb_open()\n");
 	printk("rt73 driver version - %s\n", DRIVER_VERSION);
 	if ( !OPSTATUS_TEST_FLAG (pAd,fOP_STATUS_FIRMWARE_LOAD) ) {
 		DBGPRINT(RT_DEBUG_ERROR, "Firmware not load");
@@ -1596,6 +1597,7 @@
 	int             ret;
 	int		i = 0;
 
+printk("sven-ola: usb_rtusb_close()\n");
 	DECLARE_WAIT_QUEUE_HEAD (unlink_wakeup);
 	DECLARE_WAITQUEUE (wait, current);
 
@@ -1774,6 +1776,7 @@
 	struct net_device   *netdev;
 	int                 res = -ENOMEM;
 
+printk("sven-ola: usb_rtusb_probe1()\n");
 	for (i = 0; i < rtusb_usb_id_len; i++)
 	{
 		if (le32_to_cpu(dev->descriptor.idVendor) == rtusb_usb_id[i].idVendor &&
@@ -1888,6 +1891,12 @@
 		goto out;
 	}
 
+	res = LoadFirmware(pAd, firmName);
+printk("sven-ola: LoadFirmware1(%s)=%d\n", firmName, res);
+	if (res) {
+		DBGPRINT(RT_DEBUG_ERROR, "Failed to request Firmware.\n");
+		goto out;
+	}
 	return pAd;
 
 out:
@@ -1906,6 +1915,7 @@
 	PRTMP_ADAPTER pAd = (PRTMP_ADAPTER) ptr;
 
 
+printk("sven-ola: usb_rtusb_disconnect()\n");
 	if (!pAd)
 		return;
 
@@ -1940,6 +1950,7 @@
 	int             ret;
 	int	            i = 0;
 
+printk("sven-ola: usb_rtusb_close()\n");
 	DECLARE_WAIT_QUEUE_HEAD (unlink_wakeup);
 	DECLARE_WAITQUEUE (wait, current);
 
@@ -2102,6 +2113,7 @@
 	struct net_device   *netdev;
 	int                 res = -ENOMEM;
 
+printk("sven-ola: usb_rtusb_probe2()\n");
 	usb_get_dev(dev);
 	for (i = 0; i < rtusb_usb_id_len; i++)
 	{
@@ -2236,6 +2248,7 @@
 
 	rt73usb_open_debugfs(pAd);
 	res = LoadFirmware(pAd, firmName);
+printk("sven-ola: LoadFirmware2(%s)=%d\n", firmName, res);
 	if (res) {
 		DBGPRINT(RT_DEBUG_ERROR, "Failed to request Firmware.\n");
 		goto out;
@@ -2256,6 +2269,7 @@
 	struct usb_device   *dev = interface_to_usbdev(intf);
 	PRTMP_ADAPTER       pAd = (PRTMP_ADAPTER)NULL;
 
+printk("sven-ola: usb_rtusb_disconnect()\n");
 	pAd = usb_get_intfdata(intf);
 
 	usb_set_intfdata(intf, NULL);
